%define		kodi_ver	21
%define		next_kodi_ver	%(echo $((%{kodi_ver}+1)))
%define		codename	Omega
%define		addon		inputstream.ffmpegdirect

Summary:	Kodi InputStream ffmpegdirect addon
Name:		kodi-addon-inputstream-ffmpegdirect
Version:	%{kodi_ver}.3.5
Release:	1
License:	GPL v2+
Group:		Applications/Multimedia
Source0:	https://github.com/xbmc/inputstream.ffmpegdirect/archive/%{version}-%{codename}/%{name}-%{version}-%{codename}.tar.gz
# Source0-md5:	5eefa72bf41064c955d2251d3ccd7f91
URL:		https://github.com/xbmc/inputstream.ffmpegdirect
BuildRequires:	bzip2-devel
BuildRequires:	cmake >= 3.5
BuildRequires:	ffmpeg-devel >= 5.0.0
BuildRequires:	kodi-devel >= %{kodi_ver}
BuildRequires:	kodi-devel < %{next_kodi_ver}
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRequires:	zlib-devel
Requires:	kodi >= %{kodi_ver}
Requires:	kodi < %{next_kodi_ver}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a Kodi input stream addon for streams that can be opened by
either FFmpeg's libavformat or Kodi's cURL. Common stream formats such
as plain TS, HLS and DASH are supported as well as many others. Note
that the only DASH streams supported are those without DRM.

The addon also has support for Archive/Catchup services where there is
a replay window (usually in days) and can timeshift across that span.
In addition the addon can also provide timeshift to live streams where
rewind/pause and fast-forward woud not have previously been possible.

%prep
%setup -q -n %{addon}-%{version}-%{codename}

%build
%cmake -B build
%{__make} -C build

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{_libdir}/kodi/addons/%{addon}
%attr(755,root,root) %{_libdir}/kodi/addons/%{addon}/%{addon}.so.%{version}
%dir %{_datadir}/kodi/addons/%{addon}
%{_datadir}/kodi/addons/%{addon}/addon.xml
%{_datadir}/kodi/addons/%{addon}/changelog.txt
%{_datadir}/kodi/addons/%{addon}/fanart.jpg
%{_datadir}/kodi/addons/%{addon}/icon.png
%{_datadir}/kodi/addons/%{addon}/resources
%changelog
* Sun Apr 07 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kodi-addon-inputstream-ffmpegdirect.git;a=log;h=master

* Sun Apr 07 2024 Jan Palus <atler@pld-linux.org> aa9fc35
- up to 21.3.5

* Sun Nov 05 2023 Jan Rękorajski <baggins@pld-linux.org> 4c771b4
- up to 21.2.0

* Mon Jan 16 2023 Jan Palus <atler@pld-linux.org> 7b321d3
- up to 20.5.0

* Fri Jun 24 2022 Jan Palus <atler@pld-linux.org> c720107
- up to 19.0.3

* Wed Jun 15 2022 Jan Palus <atler@pld-linux.org> f4d204e
- up to 19.0.2

* Thu Feb 10 2022 Jan Palus <atler@pld-linux.org> 6ed9824
- new

